Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045089
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] B. User interfacemajoralways2020-09-18 10:052020-12-10 18:02
ReporterngarciaView Statuspublic 
Assigned Tocberner 
PriorityurgentResolutionfixedFixed in VersionPR20Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045089: White screen when navigating to Product window from Sales Order window some times

DescriptionWhite screen when navigating to Product window from Sales Order window some times
Steps To ReproduceIn https://livebuilds.openbravo.com/erp_pi_pgsql: [^]

As group admin role:
   1. Open Product window
   2. Open any product and don't close this tab
   3. Go to Workspace tab
   4. Click in "Recent Documents" on the product recently opened
   5. Repeat steps 3 and 4, 7 times. The product tab should become innaccessible after the 7th try.

   The browser console shows:

ISC_Combined.js:254 Uncaught RangeError: Maximum call stack size exceeded
    at _2.isc_Canvas__setTabIndex [as $vk] (ISC_Combined.js:2320)
    at _2.isc_Canvas__shiftTabIndexForward [as $v3] (ISC_Combined.js:2337)
    ...
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0045165 closedcberner Popups are inaccessible, behind a mask, after long usage without refreshing or logout/login 

-  Notes
(0123309)
hgbot (developer)
2020-09-23 09:54

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/178 [^]
(0123422)
hgbot (developer)
2020-09-28 12:22

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/178 [^]
(0123423)
hgbot (developer)
2020-09-28 12:22

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: af7eafae80c903d6e3c457fd0f7143bb766daa9d
Author: Cristian Berner <cristian.berner@openbravo.com>
Date: 2020-09-28T10:22:25+00:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/af7eafae80c903d6e3c457fd0f7143bb766daa9d [^]

Fixes ISSUE-45089: Remove leak by destroying previous loading pane always

A leak was happening when opening the same tab 2 or more times without
closing it. To fix this, the old pane should be destroyed when the window is
opened and replacing the old tab.

To achieve this, pane.isLoadingTab is used to check if the pane we are
switching to, is also loading and destroy the previous pane in this
case.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-tab.js
---

- Issue History
Date Modified Username Field Change
2020-09-18 10:05 ngarcia New Issue
2020-09-18 10:05 ngarcia Assigned To => platform
2020-09-18 10:05 ngarcia Modules => Core
2020-09-18 10:05 ngarcia Triggers an Emergency Pack => No
2020-09-18 10:06 ngarcia Issue Monitored: networkb
2020-09-18 10:12 Practics Issue Monitored: Practics
2020-09-21 07:34 alostale Status new => scheduled
2020-09-21 07:34 alostale Assigned To platform => cberner
2020-09-21 09:07 AugustoMauch Steps to Reproduce Updated View Revisions
2020-09-23 09:54 hgbot Note Added: 0123309
2020-09-28 12:21 cberner Steps to Reproduce Updated View Revisions
2020-09-28 12:22 hgbot Note Added: 0123422
2020-09-28 12:22 hgbot Resolution open => fixed
2020-09-28 12:22 hgbot Status scheduled => closed
2020-09-28 12:22 hgbot Fixed in Version => PR20Q4
2020-09-28 12:22 hgbot Note Added: 0123423
2020-10-01 07:16 alostale Relationship added related to 0045165
2020-12-10 18:02 eugeni Issue Monitored: eugeni


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker